FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 07-16-2012, 09:52 AM
Helmut Jarausch
 
Default Heads Up - gcc-4.5.4 makes trouble

Hi,

I've just been bitten by this * surprise *

After upgrading to gcc-4.5.4 (from 4.5.3)
some packages / ebuilds fail since gcc-4.5.4 doesn't include the
libffi.so.4 library.


I had to rebuild
dev-lang/perl (all versions here 2.7 3.2)
dev-libs/gobject-introspection
dev-libs/gobject-introspection-common

and I'm not sure that's enough.
Unfortunately, revdep-rebuild doesn't fix the problems.

The problem didn't occur on a system where I'm using gcc-4.6.x as
standard compiler.


Helmut.
 
Old 07-16-2012, 10:02 AM
Markos Chandras
 
Default Heads Up - gcc-4.5.4 makes trouble

On Mon, Jul 16, 2012 at 10:52 AM, Helmut Jarausch
<jarausch@igpm.rwth-aachen.de> wrote:
> Hi,
>
> I've just been bitten by this * surprise *
>
> After upgrading to gcc-4.5.4 (from 4.5.3)
> some packages / ebuilds fail since gcc-4.5.4 doesn't include the libffi.so.4
> library.
>
> I had to rebuild
> dev-lang/perl (all versions here 2.7 3.2)
> dev-libs/gobject-introspection
> dev-libs/gobject-introspection-common
>
> and I'm not sure that's enough.
> Unfortunately, revdep-rebuild doesn't fix the problems.
>
> The problem didn't occur on a system where I'm using gcc-4.6.x as standard
> compiler.
>
> Helmut.
>
Hi Helmut,

libffi.so.4 has nothing to do with gcc. Rebuild the libffi package and
try to rebuild these packages again.

Regards,
Markos
 
Old 07-16-2012, 10:24 AM
Helmut Jarausch
 
Default Heads Up - gcc-4.5.4 makes trouble

On 07/16/2012 12:02:25 PM, Markos Chandras wrote:

On Mon, Jul 16, 2012 at 10:52 AM, Helmut Jarausch
<jarausch@igpm.rwth-aachen.de> wrote:
> Hi,
>
> I've just been bitten by this * surprise *
>
> After upgrading to gcc-4.5.4 (from 4.5.3)
> some packages / ebuilds fail since gcc-4.5.4 doesn't include the
libffi.so.4

> library.
>
> I had to rebuild
> dev-lang/perl (all versions here 2.7 3.2)
> dev-libs/gobject-introspection
> dev-libs/gobject-introspection-common
>
> and I'm not sure that's enough.
> Unfortunately, revdep-rebuild doesn't fix the problems.
>
> The problem didn't occur on a system where I'm using gcc-4.6.x as
standard

> compiler.
>
> Helmut.
>
Hi Helmut,

libffi.so.4 has nothing to do with gcc. Rebuild the libffi package and
try to rebuild these packages again.


(Just checking my backups
It was installed at /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libffi.so.4
(don't ask me why)
And after upgrading to gcc-4.5.4 is has gone causing me the problems
described above.

And revdep-rebuild didn't find any problems.

Helmut.
 

Thread Tools




All times are GMT. The time now is 03:05 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org